/**
 * 函数柯里化
 * @param {Function} fn 需要进行柯里化的函数
 * @param  {...any} args 传递的参数
 */
function currying(fn, ...args) {
	return fn.length > args.length
		? currying.bind(null, fn, ...args)
		: fn(...args);
}

export default currying;
