/**
 * 防抖函数
 * @param {Function} fn 延迟执行的函数
 * @param {*} wait 延迟时间
 * @param {*} imd 第一次调用是否执行
 */
function debounce(fn, wait, imd) {
	let time;
	return function() {
		let context = this,
			args = arguments;
		if (!time && imd) {
			timer = -1;
			fn.apply(context, args);
		}
		if (time) clearTimeout(time);

		time = setTimeout(function() {
			fn.apply(context, args);
		}, wait);
	};
}
export default debounce;
